# udpsink

udpsink is a network sink that sends UDP packets to the network. It can be combined with RTP payloaders to implement RTP streaming.

## Examples

     gst-launch-1.0 -v audiotestsrc ! udpsink

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstBaseSink
                        ╰──GstMultiUDPSink
                            ╰──udpsink

## Implemented interfaces

    GstURIHandler

## Factory details

Authors: – Wim Taymans

Classification: – `Sink/Network`

Rank – none

Plugin – udp

Package – GStreamer Good Plug-ins

## Pad Templates

### `sink`

    ANY

Presence – always

Direction – sink

Object type – GstPad

## Properties

### host

    “host” gchararray

The host/IP/Multicast group to send the packets to

Flags : Read / Write

Default value : localhost

### port

    “port” gint

The port to send the packets to

Flags : Read / Write

Default value : 5004

The results of the search are